## dhelp 0.6.12ubuntu1

=== Makefile ===
# Makefile for dhelp project

# Copyright (C) 2005 Esteban Manchado Velzquez <zoso@debian.org>

# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

PACKAGE = dhelp
VERSION = 0.6.12ubuntu1
PREFIX_  = $(if $(PREFIX),$(PREFIX),/usr/local)
DESTDIR_ = $(DESTDIR)/$(PREFIX_)
RHTML_TEMPLATES = *.rhtml
TMPL_TEMPLATES = *.tmpl
PERL_I18N_PROGRAMS = dsearch

all:

checkversion:
	@DCHANGELOG_VERSION=`dpkg-parsechangelog | egrep Version: | sed 's/Version: //'`; \
	if [ $$DCHANGELOG_VERSION != $(VERSION) ]; then \
	    echo "Version mismatch: debian/changelog says $$DCHANGELOG_VERSION, Makefile $(VERSION)" 2>&1; \
		exit 1; \
	fi

install: checkversion
	mkdir -p $(DESTDIR_) $(DESTDIR_)/sbin $(DESTDIR_)/bin $(DESTDIR_)/lib/cgi-bin $(DESTDIR_)/share/doc/dhelp $(DESTDIR_)/share/dhelp
	# Executable files
	install dhelp $(DESTDIR_)/bin/dhelp
	install dsearch $(DESTDIR_)/lib/cgi-bin/dsearch
	install dhelp_fetcher.rb $(DESTDIR_)/lib/cgi-bin/dhelp_fetcher
	install dhelp_parse.rb $(DESTDIR_)/sbin/dhelp_parse.rb
	# Update PREFIX variable in dhelp_parse.rb
	sed 's|^PREFIX = .*|PREFIX = "$(PREFIX_)"|' $(DESTDIR_)/sbin/dhelp_parse.rb >$(DESTDIR_)/sbin/dhelp_parse
	rm -f $(DESTDIR_)/sbin/dhelp_parse.rb
	chmod a+x $(DESTDIR_)/sbin/dhelp_parse
	# Ruby libraries
	mkdir -p $(DESTDIR_)/lib/ruby/1.8
	cp -r lib/* $(DESTDIR_)/lib/ruby/1.8
	# Misc files/dirs
	cp *.rhtml *.tmpl swish++.conf $(DESTDIR_)/share/dhelp/
	mkdir -p $(DESTDIR)/etc
	cp dhelp.conf-sample $(DESTDIR)/etc/dhelp.conf
	# Translations
	for i in po/*.po; do \
	    mkdir -p $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/; \
	    rmsgfmt -o $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/dhelp.mo $$i; \
	done

test:
	RUBYLIB=lib:test ruby -w test/ts_dhelp.rb

updatepo: po/*.po

reportpo:
	podebconf-report-po --call --withtranslators --languageteam --podir po/

po/dhelp.pot: $(RHTML_TEMPLATES) $(TMPL_TEMPLATES) $(PERL_I18N_PROGRAMS)
	rgettext $(RHTML_TEMPLATES) >po/dhelp.pot
	xgettext --language=c --keyword=t --join-existing -o po/dhelp.pot $(TMPL_TEMPLATES)
	xgettext --language=perl --keyword=_ --join-existing -o po/dhelp.pot $(PERL_I18N_PROGRAMS)

po/%.po: po-file
	msgmerge $@ po/dhelp.pot > $@.tmp
	mv -f $@.tmp $@

.PHONY: install all test updatepo checkversion po-file

=== debian/changelog ===
dhelp (0.6.12ubuntu1) intrepid; urgency=low

   * Merge from debian unstable, remaining changes: (LP: #256506)
    - Recommends: firefox-3.0.
    - Exit zero if the bdb module is not available; this usually 
      indicates that dhelp is not configured yet.
    - Bring the version in the Makefile and the one in debian/changelog into
      sync.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Thu, 28 Aug 2008 14:39:28 +0530

dhelp (0.6.12) unstable; urgency=low

  * Switch from pstotext to pdftotext from xpdf-utils for PDF files. It
    seems much more reliable (less "random" errors when parsing documents).
    Hopefully closes: #475655.
  * Use /var/lib/dhelp/tmp instead of /var/tmp for temporary files, to avoid
    possible security issues (thanks Laurent Bonnaud).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Wed, 23 Jul 2008 01:49:55 +0200

dhelp (0.6.11) unstable; urgency=low

  * Don't panic even if the document doesn't declare any files (???). Also add
    some useful debug information if that happens (Closes: #490577).
  * Bump Standards-Version to 3.8.0.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 20 Jul 2008 20:14:22 +0200

dhelp (0.6.10ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Recommends: firefox-3.0.
    - Exit zero if the bdb module is not available; this usually indicates
      that dhelp is not configured yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 11:28:34 +0100

dhelp (0.6.10) unstable; urgency=low

  * Handle nil in uri_escape (hopefully closes: #487722).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Tue, 24 Jun 2008 23:39:03 +0200

dhelp (0.6.9ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Recommends: firefox-3.0.
    - Exit zero if the bdb module is not available; this usually indicates
      that dhelp is not configured yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 01:25:07 +0100

dhelp (0.6.9) unstable; urgency=low

  * Update French translation (Closes: #481069). Thanks Steve Petruzzello.
  * Update documentation (OMG horribly outdated OMG).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 29 May 2008 22:56:06 +0200

dhelp (0.6.8) unstable; urgency=low

  * The "UTF-8 FTW" release.
  * Change HTML pages encoding to UTF-8.
  * Force HTML exporter to output UTF-8.
  * Force dsearch to output UTF-8.
  * Add initial French translation (Closes: #458836). Thanks David Kremer and
    Christian Perrier!
  * Add initial Russian translation (Closes: #466090). Thanks Yuri Kozlov!
  * Add initial German translation (Closes: #466263). Thanks Helge Kreutzmann!
  * Add initial Basque (Euskera) translation. Thanks Piarres Beobide!
  * Strip accepted languages from the browser correctly.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 24 Feb 2008 19:33:12 +0100

dhelp (0.6.7) unstable; urgency=low

  * Refactor to fix a bug in which newly added documents wouldn't have their
    directories registered, so you couldn't see the registered documentation
    from the documentation directory.
  * Fix a bug with PDF documents given as a glob (e.g. xapian-apidocs
    specifies its PDF version as ".../apidoc.pdf*", so it works with both
    apidoc.pdf and apidoc.pdf.gz).
  * Make dhelp_parse accept multiple arguments for -a and -d again.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 14 Feb 2008 00:15:22 +0100

=== debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util

Package: dhelp
Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb4.2-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, xpdf-utils
Recommends: iceweasel | firefox-3.0 | www-browser
Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
Architecture: all
Description: online help system
 Read all documentation with a WWW browser. dhelp builds a
 index of all installed HTML documentation. You don't need
 a WWW server to read the documentation. dhelp offers a
 very fast search in the HTML documents.
 .
 You can access the online help system with the dhelp
 program or with your browser. The URL to point your
 browser at is http://localhost/doc/HTML/index.html
 if you have a WWW server installed or 
 file://localhost/usr/share/doc/HTML/index.html if not.

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

DEB_MAKE_INSTALL_TARGET    = install DESTDIR=$(DEB_DESTDIR) PREFIX=/usr
DEB_INSTALL_MANPAGES_dhelp = man/dhelp*
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

## dhelp 0.6.14

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
 PACKAGE = dhelp
-VERSION = 0.6.12ubuntu1
+VERSION = 0.6.14
 PREFIX_  = $(if $(PREFIX),$(PREFIX),/usr/local)
 DESTDIR_ = $(DESTDIR)/$(PREFIX_)
 RHTML_TEMPLATES = *.rhtml

=== debian/changelog ===
dhelp (0.6.14) unstable; urgency=low

  * Fix stupid typo for the previous fix, that made the weekly cron job not
    being able to regenerate the documentation (Closes: #502813).
  * Make the utility for indexing documentation a bit more robust, so it can
    cope with existing, but empty, indexes.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Mon, 20 Oct 2008 22:31:06 +0200

dhelp (0.6.13) unstable; urgency=low

  * Not index documents on upgrade, to prevent dhelp blocking the
    upgrade for hours (Closes: #487722).
  * Add some small utilities to index by hand, because of the above change.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 02 Oct 2008 00:50:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb4.2-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, xpdf-utils
-Recommends: iceweasel | firefox-3.0 | www-browser
+Recommends: iceweasel | firefox | www-browser
 Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
 Architecture: all
 Description: online help system

## dhelp 0.6.16ubuntu1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
 PACKAGE = dhelp
-VERSION = 0.6.14
+VERSION = $(shell dpkg-parsechangelog | egrep Version: | sed 's/Version: //')
 PREFIX_  = $(if $(PREFIX),$(PREFIX),/usr/local)
 DESTDIR_ = $(DESTDIR)/$(PREFIX_)
 RHTML_TEMPLATES = *.rhtml
@@ -26,14 +26,7 @@
 
 all:
 
-checkversion:
-	@DCHANGELOG_VERSION=`dpkg-parsechangelog | egrep Version: | sed 's/Version: //'`; \
-	if [ $$DCHANGELOG_VERSION != $(VERSION) ]; then \
-	    echo "Version mismatch: debian/changelog says $$DCHANGELOG_VERSION, Makefile $(VERSION)" 2>&1; \
-		exit 1; \
-	fi
-
-install: checkversion
+install:
 	mkdir -p $(DESTDIR_) $(DESTDIR_)/sbin $(DESTDIR_)/bin $(DESTDIR_)/lib/cgi-bin $(DESTDIR_)/share/doc/dhelp $(DESTDIR_)/share/dhelp
 	# Executable files
 	install dhelp $(DESTDIR_)/bin/dhelp
@@ -74,4 +67,4 @@
 	msgmerge $@ po/dhelp.pot > $@.tmp
 	mv -f $@.tmp $@
 
-.PHONY: install all test updatepo checkversion po-file
+.PHONY: install all test updatepo po-file

=== debian/changelog ===
dhelp (0.6.16ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Exit and return zero code if the bdb module is not available; this
      usually indicates that dhelp is not configured yet.
    - debian/control: Packages that Depend/Recommend/Suggest firefox
      (metapackage) must alternatively Depend/Recommend/Suggest abrowser.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 08 Apr 2009 13:19:39 +0200

dhelp (0.6.16) unstable; urgency=low

  * Include Apache configuration file to limit dhelp CGI access to localhost.
  * dhelp_fetcher: Don't give hints about which files exist in the filesystem
  * Be smarter about indexing: check if the documents are already registered,
    and only index if they weren't. This will skip indexing for package
    upgrades, but will keep it for installation of new packages.
  * Follow symlinks when indexing.
  * Add a simple verbose option to dhelp_parse.
  * Take the package version from the changelog, instead of checking that the
    version in the changelog and the one in the Makefile are in sync. This
    avoids FTBFS for binary-only NMUs (Closes: #521910).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 05 Apr 2009 18:48:01 +0200

dhelp (0.6.15ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Packages that Depend/Recommend/Suggest firefox (metapackage) must
      alternatively Depend/Recommend/Suggest abrowser.
    - Bump-up package version in the Makefile.
    - Exit and return zero code if the bdb module is not available; this
      usually indicates that dhelp is not configured yet.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 01 Apr 2009 23:43:52 +0200

dhelp (0.6.15) unstable; urgency=low

  * Don't depend on libdb4.2-ruby1.8 (transitional package) (Closes: #496682).
    Thanks Thomas Viehmann and Scott Kitterman.
  * Capitalise all sections properly (Closes: #502557).
  * Fix encoding issues. Assume UTF-8 locale though (Closes: #491971).
  * Change WordThreshold to 50000. It's better for low memory machines, and
    both dwww and man2html are using that setting (Closes: #471558). Thanks
    Stellan Klebom.
  * Fix issues flagged by lintian: Depend on ${misc:Depends} (because of
    debhelper), call dhelp_parse without using absolute paths and bump
    Standards-Version to 3.8.1.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Tue, 17 Mar 2009 19:01:58 +0100

dhelp (0.6.14ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #296795)
    - Recommends: firefox-3.0.
    - Exit zero if the bdb module is not available; this usually
      indicates that dhelp is not configured yet.
    - Bring the version in the Makefile and the one in debian/changelog into
      sync.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 11 Nov 2008 20:10:49 +0530

## dhelp 0.6.17ubuntu1

=== debian/changelog ===
dhelp (0.6.17ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Packages that Depend/Recommend/Suggest firefox (metapackages) must
      alternatively Depend/Recommend/Suggest abrowser.
    - Exit and return zero code if the bdb module is not available; this
      usually indicates that dhelp isn't configured yet.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 May 2009 11:46:36 +0200

dhelp (0.6.17) unstable; urgency=low

  * Take into account index files when registering directories.
  * Added Indonesian translation (thanks Atoz Chevara).
  * Match 'localhost' instead of IPs in Apache config files (Closes: #526010).
    Thanks Stefano Zacchiroli.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 03 May 2009 17:15:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
 
 Package: dhelp
-Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb4.2-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, xpdf-utils
-Recommends: iceweasel | firefox | www-browser
+Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, xpdf-utils, ${misc:Depends}
+Recommends: iceweasel | firefox | abrowser | www-browser
 Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
 Architecture: all
 Description: online help system

## dhelp 0.6.18ubuntu1

=== debian/changelog ===
dhelp (0.6.18ubuntu1) lucid; urgency=low

  * Merge with debian testing, remaining changes:
    - debian/control:
      + Packages that Depend/Recommend/Suggest firefox (metapackages) must
        alternatively Depend/Recommend/Suggest abrowser.
    - lib/dhelp.rb:
      + Exit and return zero code if bdb isn't available; this usually
        indicates that dhelp is not configured yet.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 26 Nov 2009 16:46:17 +0100

dhelp (0.6.18) unstable; urgency=low

  * Change xpdf-utils dependency to poppler-utils (Closes: #550656). Thanks
    Moritz Muehlenhoff.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 08 Nov 2009 14:47:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
 
 Package: dhelp
-Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, xpdf-utils, ${misc:Depends}
+Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, poppler-utils, ${misc:Depends}
 Recommends: iceweasel | firefox | abrowser | www-browser
 Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
 Architecture: all

## dhelp 0.6.19

=== debian/changelog ===
dhelp (0.6.19) unstable; urgency=low

  * Fix URI escaping (Closes: #583349). Thanks John Gruenenfelder.
  * Bump Standards-Version to 3.8.4.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 30 May 2010 20:04:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, poppler-utils, ${misc:Depends}
-Recommends: iceweasel | firefox | abrowser | www-browser
+Recommends: iceweasel | firefox | www-browser
 Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
 Architecture: all
 Description: online help system

## dhelp 0.6.19ubuntu1

=== debian/changelog ===
dhelp (0.6.19ubuntu1) maverick; urgency=low

  * Merge with debian unstable, remaining changes:
    - debian/control:
      + Packages that Depend/Recommend/Suggest firefox (metapackages) must
        alternatively Depend/Recommend/Suggest abrowser.
    - lib/dhelp.rb:
      + Exit and return zero code if bdb isn't available; this usually
        indicates that dhelp is not configured yet.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 04 Jun 2010 09:15:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, poppler-utils, ${misc:Depends}
-Recommends: iceweasel | firefox | www-browser
+Recommends: iceweasel | firefox | abrowser | www-browser
 Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
 Architecture: all
 Description: online help system

## dhelp 0.6.20

=== debian/changelog ===
dhelp (0.6.20) unstable; urgency=low

  [ Georgios M. Zarkadas ]
  * New co-maintainer: Georgios M. Zarkadas <gz@member.fsf.org>. 
  * Fix incomprehensible error messages in dhelp cron output; now the
    document's filename is reported (Closes: #561883).
  * Fix unsorted documents in the section index; they are now sorted
    on title (Closes: #567889).
  * Fix running the indexer on each individual package install; now the
    indexing is deferred until the end of installation (Closes: #615900).
  * Fix removing an unrelated directory from the postrm script; this
    legacy code has now been removed (Closes: #642273).
  * Added Greek translation (Closes: #641917).
  * Bump Standards-Version to 3.9.1.

  [ Esteban Manchado Velázquez ]
  * Sponsor the upload :-)

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 13 Oct 2011 00:08:15 +0200

=== debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Georgios M. Zarkadas <gz@member.fsf.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util

Package: dhelp
Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, poppler-utils, ucf (>= 0.8), ${misc:Depends}
Recommends: iceweasel | firefox | www-browser
Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi
Architecture: all
Description: online help system
 Read all documentation with a WWW browser. dhelp builds a
 index of all installed HTML documentation. You don't need
 a WWW server to read the documentation. dhelp offers a
 very fast search in the HTML documents.
 .
 You can access the online help system with the dhelp
 program or with your browser. The URL to point your
 browser at is http://localhost/doc/HTML/index.html
 if you have a WWW server installed or 
 file://localhost/usr/share/doc/HTML/index.html if not.

## dhelp 0.6.20ubuntu1

=== debian/changelog ===
dhelp (0.6.20ubuntu1) precise; urgency=low

  * Merge with debian unstable (LP: #898773), remaining changes:
    - lib/dhelp.rb:
      + Exit and return zero code if bdb isn't available; this usually
        indicates that dhelp is not configured yet.
  * Drop changes:
    - debian/control:
      + Packages that Depend/Recommend/Suggest firefox (metapackages) must
        alternatively Depend/Recommend/Suggest abrowser.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 02 Dec 2011 19:20:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Georgios M. Zarkadas <gz@member.fsf.org>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,9 @@
 
 DEB_MAKE_INSTALL_TARGET    = install DESTDIR=$(DEB_DESTDIR) PREFIX=/usr
 DEB_INSTALL_MANPAGES_dhelp = man/dhelp*
+DEB_INSTALL_EXAMPLES_dhelp = examples/*
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
+
+install/dhelp::
+	cp apache-dhelp.conf debian/dhelp/etc/apache2/conf.d/dhelp.conf

## dhelp 0.6.20+nmu1

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,13 @@
 	cp -r lib/* $(DESTDIR_)/lib/ruby/1.8
 	# Misc files/dirs
 	cp *.rhtml *.tmpl swish++.conf $(DESTDIR_)/share/dhelp/
+	cp index-deferred $(DESTDIR_)/share/dhelp/
+	chmod 755 $(DESTDIR_)/share/dhelp/index-deferred
 	mkdir -p $(DESTDIR)/etc
 	cp dhelp.conf-sample $(DESTDIR)/etc/dhelp.conf
+	mkdir -p $(DESTDIR_)/share/dhelp/scripts
+	cp scripts/* $(DESTDIR_)/share/dhelp/scripts/
+	chmod 755 $(DESTDIR_)/share/dhelp/scripts/*
 	# Translations
 	for i in po/*.po; do \
 	    mkdir -p $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/; \

=== debian/changelog ===
dhelp (0.6.20+nmu1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: build-dependency not installable: libgettext-ruby-util":
    build-depend on ruby-gettext instead.
    (Closes: #699261)

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Feb 2013 19:41:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Georgios M. Zarkadas <gz@member.fsf.org>
 Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
+Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), ruby-gettext
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext, poppler-utils, ucf (>= 0.8), ${misc:Depends}

## dhelp 0.6.21%2Bnmu6ubuntu1

=== debian/changelog ===
dhelp (0.6.21+nmu6ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. (LP: #1283061) Remaining changes:
    - lib/dhelp.rb: Exit and return zero code if bdb isn't available; this
      usually indicates that dhelp is not configured yet.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 05 Jan 2015 18:13:27 +1100

dhelp (0.6.21+nmu6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Fails to build the index when invalid UTF-8 is met":
    apply patch from Daniel Getz:
    + Load files as UTF-8, regardless of $LANG
    (Closes: #768127)

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Dec 2014 22:02:20 +0100

dhelp (0.6.21+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update French program translation (Closes: #684664)
  * Update Russian program translation (Closes: #688667)
  * Update German program translation (Closes: #689063)
  * Add Danish program translation (Closes: #689644)
  * Add Italian program translation (Closes: #689920)
  * Add Portugese program translation (Closes: #724781) 

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 02 Oct 2014 12:38:19 +0200

dhelp (0.6.21+nmu4) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for newer ruby versions (Closes: #734523, #732916)
  * Cache 'Dpkg.status' calls to not affect performance on every system
      upgrade (Closes: #712621)
  * Handle correctly arguments passed to '-a' and '-d' options
  * Fix error when 'dhelp_parse' is called without arguments
  * Fix Ruby warnings
  * Change the encoding of Ruby files to UTF-8

 -- David Suárez <david.sephirot@gmail.com>  Sun, 18 May 2014 13:18:39 +0200

dhelp (0.6.21+nmu3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1208523) Remaining changes:
    - lib/dhelp.rb: Exit and return zero code if bdb isn't available; this
      usually indicates that dhelp is not configured yet.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 28 Sep 2013 17:00:01 +1000

dhelp (0.6.21+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix apache2 2.4 issues: install different config files into
    /etc/apache2/conf.d and /etc/apache2/conf-available (for versions 2.2
    and 2.4 respectively), and call apache2-maintscript-helper with
    correct parameters (Closes: #718588)

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Sep 2013 11:07:22 +0100

dhelp (0.6.21+nmu2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - lib/dhelp.rb: Exit and return zero code if bdb isn't available; this
      usually indicates that dhelp is not configured yet.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 19 May 2013 21:41:22 -0400

dhelp (0.6.21+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build and runtime dependency from libgettext-ruby1.8 to
    ruby-gettext. Closes: #707686

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 May 2013 17:58:05 +0200

dhelp (0.6.21+nmu1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - lib/dhelp.rb:
      + Exit and return zero code if bdb isn't available; this usually
        indicates that dhelp is not configured yet.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 25 Oct 2012 11:28:29 -0400

dhelp (0.6.21+nmu1) unstable; urgency=low

  * Non-Maintainer Upload
  * Dropped the declaration of dependence on ruby-commandline, which was
    already done on the code

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 02 Jul 2012 12:16:40 -0500

dhelp (0.6.21) unstable; urgency=low

  * New maintainer: Georgios M. Zarkadas <gz@member.fsf.org> (Closes: #650441). 
  * Support other web servers in addition to apache2 (Closes: #669041).
  * Support apache2 packaging transition for version 2.4 (Closes: #669758).
  * Support new ruby packaging policy transition for Wheezy.
  * Use OptionParser instead Commandline::Application (Closes: #678055).
    Thanks Gunnar Wolf.
  * Support new layout of man2html cgi scripts for Wheezy.
  * Keep supporting previous policies/layouts, either during build time or
    during runtime, to aid backporting.
  * Man and info pages links are activated only if associated packages are
    installed on the system.
  * Subsections now show in the sections list only if section is selected.
  * New color, styles and icons themes.
  * Package installation now does not fail if cache data cannot be generated
    during install.
  * Fix some minor lintian warnings.
  * Bump Standards-Version to 3.9.3.

 -- Georgios M. Zarkadas <gz@member.fsf.org>  Tue, 12 June 2012 21:50:00 +0300

=== debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
Uploaders: Esteban Manchado Velázquez <zoso@debian.org>, 
 Stefan Hornburg (Racke) <racke@linuxia.de>, 
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1),
 ruby-gettext

Package: dhelp
Depends: perl-modules, libtemplate-perl, libhtml-parser-perl,
 liburi-perl, liblocale-gettext-perl, libdata-page-perl,
 ruby | ruby-interpreter, ruby-bdb, ruby-debian, ruby-gettext,
 doc-base, swish++, pstotext, poppler-utils, ucf (>= 0.8),
 ${misc:Depends}
Recommends: www-browser | html2text
Suggests: httpd-cgi, info2www, man2html, catdvi
Architecture: all
Description: online help system
 Read all documentation with a WWW browser. dhelp builds an index of
 all installed HTML documentation. You don't need a WWW server to read
 the documentation. dhelp offers a very fast search in the HTML documents.
 .
 You can access the online help system with the dhelp program or with 
 your browser. The URL to point your browser at is (if you have a WWW
 server installed) http://localhost/doc/HTML/index.html , else (if you
 do not) file://localhost/usr/share/doc/HTML/index.html.

## dhelp 0.6.21+nmu1ubuntu1

=== Makefile ===
# Makefile for dhelp project

# Copyright (C) 2005 Esteban Manchado Velzquez <zoso@debian.org>
# Copyright (C) 2012 Georgios M. Zarkadas <gz@member.fsf.org>

# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

PACKAGE := dhelp
VERSION = $(shell dpkg-parsechangelog | egrep Version: | sed 's/Version: //')

# We rely on caller to have set proper values for PREFIX, DESTDIR.

PREFIX_  = $(if $(PREFIX),$(PREFIX),/usr/local)
DESTDIR_ = $(DESTDIR)/$(PREFIX_)

bindir   = $(DESTDIR_)/bin
sbindir  = $(DESTDIR_)/sbin
cgidir   = $(DESTDIR_)/lib/cgi-bin
confdir  = $(DESTDIR)/etc
sharedir = $(DESTDIR_)/share/$(PACKAGE)
docdir   = $(DESTDIR_)/share/doc/$(PACKAGE)

# The caller should define VENDOR_RUBY to use the new location for ruby
# libraries from wheezy and onwards. Undefine it to backport the package
# to previous Debian releases.

ifdef VENDOR_RUBY
rubydir = $(DESTDIR_)/lib/ruby/vendor_ruby/1.8
else
rubydir = $(DESTDIR_)/lib/ruby/1.8
endif

# Templates and Perl-related variables 

RHTML_TEMPLATES = templates/*.rhtml
TMPL_TEMPLATES = templates/*.tmpl
PERL_I18N_PROGRAMS = src/dsearch


.PHONY: install all clean test updatepo po-file
.PHONY: install-bin install-lib install-shared
.PHONY: install-doc install-conf install-po

# Nothing to be done for all since we do not need to compile anything.
all:

# Note that since dhelp is inherently a debian-specific package, we currently
# delegate the caller (debian/rules) to install manpages, examples and common
# files.
install: install-bin install-lib install-shared install-doc install-conf install-po

## Executable files
install-bin:
	install -D src/dhelp   $(bindir)/dhelp
	# Update $version variable in dhelp
	sed -i 's/__VERSION__/$(VERSION)/' $(bindir)/dhelp
	install -D src/dsearch $(cgidir)/dsearch
	install -D src/dhelp_fetcher.rb $(cgidir)/dhelp_fetcher
	install -D src/dhelp_parse.rb   $(sbindir)/dhelp_parse
	# Update PREFIX variable in dhelp_parse.rb
	sed -i 's|^PREFIX = .*|PREFIX = "$(PREFIX_)"|' $(sbindir)/dhelp_parse
	chmod a+x $(sbindir)/dhelp_parse

## Ruby libraries
install-lib:
	install --directory $(rubydir)/dhelp/exporter
	install --mode=644  lib/*.rb $(rubydir)
	install --mode=644  lib/dhelp/exporter/*.rb $(rubydir)/dhelp/exporter

## Shared files (web server configuration, scripts, page templates)
install-shared:
	install --directory $(sharedir)/config $(sharedir)/scripts $(sharedir)/templates
	install --mode=644  config/* $(sharedir)/config
	install   scripts/* $(sharedir)/scripts
	install --mode=644  templates/* $(sharedir)/templates

# CSS stuff and documents
install-doc:
	install --directory $(docdir)/css
	install --mode=644  doc/css/* $(docdir)/css

## Our and web servers configuration under /etc
install-conf:
	install -D --mode=644 config/dhelp.conf-sample $(confdir)/dhelp.conf
	install -D --mode=644 config/apache-dhelp.conf $(confdir)/apache2/conf.d/dhelp.conf
	install -D --mode=644 config/apache-dhelp.conf $(confdir)/apache2/conf-available/dhelp.conf
	install -D --mode=644 config/lighttpd-dhelp.conf $(confdir)/lighttpd/conf-available/95-dhelp.conf

## Translations
install-po:
	for i in po/*.po; do \
	    langdir=share/locale/`basename $$i .po`/LC_MESSAGES; \
	    mkdir -p $(DESTDIR_)/$$langdir; \
	    rmsgfmt -o $(DESTDIR_)/$$langdir/dhelp.mo $$i; \
	done

# Nothing to be done for clean since we do not need to compile anything.
# This is to suppress the (ignored anyway) dpkg error from the build log. 
clean:

# Note that we use a specific ruby version. This line 
# must change in sync with $(rubydir) definition, above.
test:
	RUBYLIB=lib:test ruby1.8 -w test/ts_dhelp.rb

updatepo: po/*.po

reportpo:
	podebconf-report-po --call --withtranslators --languageteam --podir po/

po/dhelp.pot: $(RHTML_TEMPLATES) $(TMPL_TEMPLATES) $(PERL_I18N_PROGRAMS)
	rgettext $(RHTML_TEMPLATES) >po/dhelp.pot
	xgettext --language=c --keyword=t --join-existing -o po/dhelp.pot $(TMPL_TEMPLATES)
	xgettext --language=perl --keyword=_ --join-existing -o po/dhelp.pot $(PERL_I18N_PROGRAMS)

po/%.po: po-file
	msgmerge $@ po/dhelp.pot > $@.tmp
	mv -f $@.tmp $@

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
  Stefan Hornburg (Racke) <racke@linuxia.de>, 
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1),
- ruby-gettext
+ libgettext-ruby1.8 | libgettext-ruby-util
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl,
- liburi-perl, liblocale-gettext-perl, libdata-page-perl,
- ruby | ruby-interpreter, ruby-bdb, ruby-debian, ruby-gettext,
- doc-base, swish++, pstotext, poppler-utils, ucf (>= 0.8),
- ${misc:Depends}
+ liburi-perl, liblocale-gettext-perl, libdata-page-perl, ruby1.8,
+ ruby-bdb | libdb-ruby1.8, ruby-debian, libgettext-ruby1.8, doc-base,
+ swish++, pstotext, poppler-utils, ucf (>= 0.8), ${misc:Depends}
 Recommends: www-browser | html2text
 Suggests: httpd-cgi, info2www, man2html, catdvi
 Architecture: all

## dhelp 0.6.21+nmu3

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
+Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
 Uploaders: Esteban Manchado Velázquez <zoso@debian.org>, 
  Stefan Hornburg (Racke) <racke@linuxia.de>, 
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1),
- libgettext-ruby1.8 | libgettext-ruby-util
+ ruby-gettext
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl,
  liburi-perl, liblocale-gettext-perl, libdata-page-perl, ruby1.8,
- ruby-bdb | libdb-ruby1.8, ruby-debian, libgettext-ruby1.8, doc-base,
+ ruby-bdb | libdb-ruby1.8, ruby-debian, ruby-gettext, doc-base,
  swish++, pstotext, poppler-utils, ucf (>= 0.8), ${misc:Depends}
 Recommends: www-browser | html2text
 Suggests: httpd-cgi, info2www, man2html, catdvi

## dhelp 0.6.21+nmu3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for dhelp project
 
-# Copyright (C) 2005 Esteban Manchado Velzquez <zoso@debian.org>
+# Copyright (C) 2005 Esteban Manchado Velázquez <zoso@debian.org>
 # Copyright (C) 2012 Georgios M. Zarkadas <gz@member.fsf.org>
 
 # This file is free software; you can redistribute it and/or modify it
@@ -94,7 +94,7 @@
 ## Our and web servers configuration under /etc
 install-conf:
 	install -D --mode=644 config/dhelp.conf-sample $(confdir)/dhelp.conf
-	install -D --mode=644 config/apache-dhelp.conf $(confdir)/apache2/conf.d/dhelp.conf
+	install -D --mode=644 config/apache-dhelp-2.2.conf $(confdir)/apache2/conf.d/dhelp.conf
 	install -D --mode=644 config/apache-dhelp.conf $(confdir)/apache2/conf-available/dhelp.conf
 	install -D --mode=644 config/lighttpd-dhelp.conf $(confdir)/lighttpd/conf-available/95-dhelp.conf

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
 Uploaders: Esteban Manchado Velázquez <zoso@debian.org>, 
  Stefan Hornburg (Racke) <racke@linuxia.de>, 
 Standards-Version: 3.9.3

## dhelp 0.6.21+nmu6

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
+Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
 Uploaders: Esteban Manchado Velázquez <zoso@debian.org>, 
  Stefan Hornburg (Racke) <racke@linuxia.de>, 
 Standards-Version: 3.9.3
@@ -11,9 +10,10 @@
 
 Package: dhelp
 Depends: perl-modules, libtemplate-perl, libhtml-parser-perl,
- liburi-perl, liblocale-gettext-perl, libdata-page-perl, ruby1.8,
- ruby-bdb | libdb-ruby1.8, ruby-debian, ruby-gettext, doc-base,
- swish++, pstotext, poppler-utils, ucf (>= 0.8), ${misc:Depends}
+ liburi-perl, liblocale-gettext-perl, libdata-page-perl,
+ ruby | ruby-interpreter, ruby-bdb, ruby-debian, ruby-gettext,
+ doc-base, swish++, pstotext, poppler-utils, ucf (>= 0.8),
+ ${misc:Depends}
 Recommends: www-browser | html2text
 Suggests: httpd-cgi, info2www, man2html, catdvi
 Architecture: all

## dhelp 0.6.21+nmu6ubuntu1

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

# Set VENDOR_RUBY to 'yes' to use the new ruby packaging policy for wheezy
# and onwards. Set to 'no' if you are back-porting the package.

DEB_MAKE_ENVVARS := VENDOR_RUBY="yes" 
#DEB_MAKE_ENVVARS := VENDOR_RUBY="no"

DEB_MAKE_INSTALL_TARGET    = install DESTDIR=$(DEB_DESTDIR) PREFIX=/usr
DEB_INSTALL_MANPAGES_dhelp = man/dhelp*
DEB_INSTALL_EXAMPLES_dhelp = examples/*

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Custom install of the maintainer scripts library.
install/dhelp::
	install --directory $(DEB_DESTDIR)/usr/share/dhelp/maint-scripts
	install --mode=644  debian/scripts/*.sh $(DEB_DESTDIR)/usr/share/dhelp/maint-scripts

## dhelp 0.6.21+nmu7

=== debian/changelog ===
dhelp (0.6.21+nmu7) unstable; urgency=medium

  * Non-maintainer upload.
  * Properly orphan the package.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Dec 2016 11:15:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Georgios M. Zarkadas <gz@member.fsf.org>
-Uploaders: Esteban Manchado Velázquez <zoso@debian.org>, 
- Stefan Hornburg (Racke) <racke@linuxia.de>, 
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1),
  ruby-gettext

## dhelp 0.6.24

=== debian/changelog ===
dhelp (0.6.24) unstable; urgency=medium

  * QA upload.
  * Fix regression of issue with apache2-maintscript-helper script (closes:
    #861410).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 28 Apr 2017 21:25:21 +0300

dhelp (0.6.23) unstable; urgency=medium

  * QA upload.

  [ Nicholas Guriev ]
  * Complete the migration process from Berkeley DB to GNU dbm.
    - Fix crash on searching.
  * Bump debhelper version.
  * Update standards version.
    - Deleted a deprecated d/menu file.
    - Wrote a new dhelp.desktop file.
    - Added link to a git repository.
  * Now www-browser dependency is suggested, but not recommended, to avoid
    autoinstallation redundant programs on servers.
  * Add mandatory dependency on libcgi-pm-perl package (closes: #824219).
  * Basque, Indonesian, Japanese, Swedish translations (found in VCS).

  [ Georgios M. Zarkadas ]
  * Fix unowned files after purge (closes: #679691).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 27 Apr 2017 20:11:15 +0300

dhelp (0.6.22) unstable; urgency=medium

  * QA upload.
  * Remove ruby-bdb dependency (closes: #791770)
    - Migrate to a module from the standard library.
    - Update tests.
  * Replace perl-modules dependency with just perl.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 26 Apr 2017 13:08:42 +0300

=== debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 10), ruby-gettext
VCS-Git: https://anonscm.debian.org/cgit/collab-maint/dhelp.git
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/dhelp.git

Package: dhelp
Depends:
 doc-base,
 libcgi-pm-perl,
 libdata-page-perl,
 libhtml-parser-perl,
 liblocale-gettext-perl,
 libtemplate-perl,
 liburi-perl,
 poppler-utils,
 pstotext,
 ruby | ruby-interpreter,
 ruby-debian,
 ruby-gettext,
 swish++,
 ucf (>= 0.8),
 ${misc:Depends},
 ${perl:Depends},
Suggests: catdvi, httpd-cgi, info2www, man2html, www-browser | html2text
Architecture: all
Description: online help system
 Read all documentation with a WWW browser. dhelp builds an index of
 all installed HTML documentation. You don't need a WWW server to read
 the documentation. dhelp offers a very fast search in the HTML documents.
 .
 You can access the online help system with the dhelp program or with 
 your browser. The URL to point your browser at is (if you have a WWW
 server installed) http://localhost/doc/HTML/index.html , else (if you
 do not) file://localhost/usr/share/doc/HTML/index.html.

## dhelp 0.6.25

=== debian/changelog ===
dhelp (0.6.25) unstable; urgency=medium

  * QA upload.

  [ Till Kamppeter ]
  * Replaced the call of pstotext by ps2txt as pstotext upstream
    is unmaintained for years and stopped working with Ghostscript whereas
    ps2txt is part of ghostscript. (Closes: #895543)

  [ Iain Lane ]
  * Add a direct dependency on ghostscript for the above, and remove pstotext
    as it is no longer used.

 -- Iain Lane <laney@debian.org>  Tue, 17 Apr 2018 10:56:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Package: dhelp
 Depends:
  doc-base,
+ ghostscript,
  libcgi-pm-perl,
  libdata-page-perl,
  libhtml-parser-perl,
@@ -17,7 +18,6 @@
  libtemplate-perl,
  liburi-perl,
  poppler-utils,
- pstotext,
  ruby | ruby-interpreter,
  ruby-debian,
  ruby-gettext,

## dhelp 0.6.26

=== debian/changelog ===
dhelp (0.6.26) unstable; urgency=medium

  * QA upload.
  * Do not remove entire /usr/share/doc/HTML directory while reindexing or
    deinstalling (closes: #929850).
  * Add the sensible-utils package as runtime dependency.
  * Use Git repository at the salsa.debian.org site.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 24 Jun 2019 22:40:44 +0300

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,3 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
-
-# Custom install of the maintainer scripts library.
-install/dhelp::
-	install --directory $(DEB_DESTDIR)/usr/share/dhelp/maint-scripts
-	install --mode=644  debian/scripts/*.sh $(DEB_DESTDIR)/usr/share/dhelp/maint-scripts
-

## dhelp 0.6.27

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,17 @@
 docdir   = $(DESTDIR_)/share/doc/$(PACKAGE)
 
 # The caller should define VENDOR_RUBY to use the new location for ruby
-# libraries from wheezy and onwards. Undefine it to backport the package
-# to previous Debian releases.
+# libraries from squeeze and onwards; OLD_VENDOR_RUBY for wheezy and onwards.
+# Undefine it to backport the package to previous Debian releases.
 
 ifdef VENDOR_RUBY
+rubydir = $(DESTDIR_)/lib/ruby/vendor_ruby/
+else
+  ifdef OLD_VENDOR_RUBY
 rubydir = $(DESTDIR_)/lib/ruby/vendor_ruby/1.8
-else
+  else
 rubydir = $(DESTDIR_)/lib/ruby/1.8
+  endif
 endif
 
 # Templates and Perl-related variables

=== debian/changelog ===
dhelp (0.6.27) unstable; urgency=medium

  * QA upload.
  * d/cron.monthly: Update xargs command. Closes: #990048

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 13 Jul 2021 11:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.8
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 10), ruby-gettext
-VCS-Git: https://anonscm.debian.org/cgit/collab-maint/dhelp.git
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/dhelp.git
+VCS-Git: https://salsa.debian.org/debian/dhelp.git
+VCS-Browser: https://salsa.debian.org/debian/dhelp
 
 Package: dhelp
 Depends:
@@ -21,6 +21,7 @@
  ruby | ruby-interpreter,
  ruby-debian,
  ruby-gettext,
+ sensible-utils,
  swish++,
  ucf (>= 0.8),
  ${misc:Depends},
